//
use kameo::actor::ActorRef;
use kxio::{fs::FileSystem, net::Net};

use crate::server::ServerActor;

use super::*;

pub fn start_actor(
    repository_factory: MockRepositoryFactory,
    repo_details: RepoDetails,
    forge: Box<dyn ForgeLike>,
    fs: FileSystem,
    net: Net,
) -> (ActorRef<RepoActor>, ActorLog) {
    let (actor, log) = given::a_repo_actor(
        repo_details,
        Box::new(repository_factory),
        forge,
        given::a_server_actor(fs, net.clone()),
        net,
    );
    (kameo::spawn(actor), log)
}

pub fn start_actor_with_open_repository(
    open_repository: Box<dyn OpenRepositoryLike>,
    repo_details: RepoDetails,
    forge: Box<dyn ForgeLike>,
) -> (ActorRef<RepoActor>, ActorLog) {
    let fs = given::a_filesystem();
    let net: Net = given::a_network().into();
    let server_actor_ref: ActorRef<ServerActor> = given::a_server_actor(fs.as_real(), net.clone());
    let (actor, log) = given::a_repo_actor(repo_details, mock(), forge, server_actor_ref, net);
    let actor = actor.with_open_repository(Some(open_repository));
    (kameo::spawn(actor), log)
}
