//
use std::time::Duration;

use kameo::actor::ActorRef;

use crate::alerts::{AlertsActor, History};

pub fn a_filesystem() -> kxio::fs::TempFileSystem {
    #[allow(clippy::expect_used)]
    kxio::fs::temp().expect("temp fs")
}

pub fn a_network() -> kxio::net::MockNet {
    kxio::net::mock()
}

pub fn an_alerts_actor(net: kxio::net::Net) -> ActorRef<AlertsActor> {
    kameo::spawn(AlertsActor::new(
        None,
        History::new(Duration::from_millis(1)),
        net,
    ))
}
