# Terminal UI

Currently the Terminal UI is an experimental feature, controlled by the feature flag `tui`.

## Build & Run

The build `git-next` with the Terminal UI use: `cargo install git-next --features tui`

To run `git-next` with the Terminal UI use: `git-next server start --ui`

### Docker

If using the docker image you will need to create a directory to mount that contains the
`git-next-server.toml` file. Mount this directory as `/app`. In the example below we use
the current directory for this.

If you want to persist the clones of your monitored repos then point `storage.path` in
`git-next-server.toml` to the the directory `/app`, (e.g. `path = "/app/data"`).

Map the port your webhook notifications are arriving on to the port specified in `listen.http.port`.

`docker run -it -p "8080:8092" -v .:/app/ git.kemitix.net/kemitix/git-next:latest server start --ui`

## logs

When the Terminal UI is enabled via the `--ui` parameter, logs are written to the file:

- `???` on Linux
- `~/Library/Application Support/net.kemitix.git-next/git-next.log` on MacOS
- `???` on Windows

## Keys

- `q` - Quit
- `j` - Down
- `k` - Up
- `f` - Page Down
- `b` - Page Up
- `g` - Top/Home
- `G` - Bottom/End
