mod auth {
    use crate::{s, WebhookAuth};

    #[test]
    fn bytes() -> Result<(), Box<dyn std::error::Error>> {
        let ulid = ulid::Ulid::new();

        let wa = WebhookAuth::try_new(s!(ulid).as_str())?;

        assert_eq!(ulid.to_bytes(), wa.to_bytes());

        Ok(())
    }

    #[test]
    fn string() -> Result<(), Box<dyn std::error::Error>> {
        let ulid = ulid::Ulid::new();

        let wa = WebhookAuth::try_new(s!(ulid).as_str())?;

        assert_eq!(s!(ulid), s!(wa));

        Ok(())
    }
}
