//
use derive_more::{Constructor, Display};

use crate::{Hostname, RepoPath};

#[derive(Clone, Debug, PartialEq, Eq, Constructor, Display)]
#[display("{}:{}", host, repo_path)]
pub struct GitRemote {
    host: Hostname,
    repo_path: RepoPath,
}

#[cfg(test)]
impl GitRemote {
    pub(crate) const fn host(&self) -> &Hostname {
        &self.host
    }
    pub(crate) const fn repo_path(&self) -> &RepoPath {
        &self.repo_path
    }
}
