//
use super::*;

#[test_log::test]
fn should_find_default_push_remote() {
    let fs = given::a_filesystem();
    let gitdir = GitDir::new(fs.base().to_path_buf(), StoragePathType::External);
    let repo_details = given::repo_details(&given::a_filesystem()).with_gitdir(gitdir);
    let url = repo_details.url();
    given::a_bare_repo_with_url(fs.base(), url.expose_secret(), &fs);
    let_assert!(Ok(repo) = git::repository::factory::real().open(&repo_details));
    let remote = repo.find_default_remote(git::repository::Direction::Push);
    assert!(remote.is_some());
}
