//
use crate::{
    git::{
        self,
        repository::RepositoryLike as _,
        tests::{given, then},
    },
    BranchName, ForgeConfig, ForgeType, GitDir, Hostname, RepoAlias, RepoBranches, RepoConfig,
    RepoConfigSource, RepoPath, ServerRepoConfig, StoragePathType, User,
};

use assert2::let_assert;
use secrecy::ExposeSecret;

use std::{collections::BTreeMap, path::PathBuf};

type TestResult = Result<(), Box<dyn std::error::Error>>;

mod commit_log;
mod fetch;
mod find_default_remote;
mod forge_config;
mod read_file;
mod repo_config;
mod server_repo_config;
