//
use super::*;

#[test]
fn should_parse_toml() -> TestResult {
    let main = given::a_name();
    let next = given::a_name();
    let dev = given::a_name();
    let toml = format!(
        r#"
        [branches]
        main = "{main}"
        next = "{next}"
        dev = "{dev}"
        "#
    );

    let rc = RepoConfig::parse(toml.as_str())?;

    assert_eq!(
        rc,
        RepoConfig::new(
            RepoBranches::new(main, next, dev),
            RepoConfigSource::Repo // reading from repo is the default
        )
    );

    Ok(())
}
#[test]
fn should_return_branches() {
    let main = given::a_name();
    let next = given::a_name();
    let dev = given::a_name();
    let branches = RepoBranches::new(main, next, dev);
    let repo_config = RepoConfig::new(branches.clone(), RepoConfigSource::Repo);

    assert_eq!(repo_config.branches(), &branches);
}
#[test]
fn should_return_source() {
    let main = given::a_name();
    let next = given::a_name();
    let dev = given::a_name();
    let repo_config = RepoConfig::new(RepoBranches::new(main, next, dev), RepoConfigSource::Repo);

    assert_eq!(repo_config.source(), RepoConfigSource::Repo);
}
